Thursday, 3 January 2019

Odoo 12: Unable to find Wkhtmltopdf on this system.

Hi, First of all very Happy New Year-2019 to each and everyone. Today, I am going to post my first article of this year. I hope it will help people.

Today's post is about Wkhtmltopdf error for odoo12. Even after you install Wkhtmltopdf you may encounter this error if you are not installing the compatible version needed for odoo12.


Odoo version: Odoo 12.0 (Community Edition)



Error:





OS: Ubuntu 18.04 LTS


For Wkhtmltopdf compatible versions please follow the link: https://github.com/odoo/odoo/wiki/Wkhtmltopdf

For different Wkhtmltopdf verions: https://builds.wkhtmltopdf.org/0.12.1.3/



Solution steps:

sudo wget https://builds.wkhtmltopdf.org/0.12.1.3/wkhtmltox_0.12.1.3-1~bionic_amd64.deb

or try another URL:

sudo wget https://github.com/wkhtmltopdf/wkhtmltopdf/releases/download/0.12.1/wkhtmltox-0.12.1_linux-trusty-amd64.deb

sudo dpkg -i wkhtmltox_0.12.1.3-1~bionic_amd64.deb
sudo apt-get install -f
sudo ln -s /usr/local/bin/wkhtmltopdf /usr/bin
sudo ln -s /usr/local/bin/wkhtmltoimage /usr/bin
apt-get install -f will install the missing dependencies, which are shown as errors by the dpkg command. 

Note: For Mac OS you can directly install download cocoa package 

and install it from 
https://github.com/wkhtmltopdf/wkhtmltopdf/releases/0.12.1


Thanks!!!!!!!!!! Enjoy Programming!!! :)

Referecnce:
https://askubuntu.com/questions/604029/dependency-problems-with-wkhtmltopdf-when-trying-to-install-latest-version
https://www.odoo.com/forum/help-1/question/ubuntu-18-04-lts-how-to-install-wkhtmltopdf-0-12-1-recommended-for-odoo-9-0-and-lower-134198

No comments:

Post a comment

Thanks for your valuable comments.